package com.mortals.xhx.common.formdesign;

import java.util.List;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

@Data
public class ColumnsItem {

    @JSONField(name = "labelWidth")
    private int labelWidth;

    @JSONField(name = "rules")
    private List<RulesItem> rules;

    @JSONField(name = "compName")
    private String compName;

    @JSONField(name = "showLabel")
    private boolean showLabel;

    @JSONField(name = "required")
    private boolean required;

    @JSONField(name = "compType")
    private String compType;

    @JSONField(name = "type")
    private String type;

    @JSONField(name = "options")
    private List<OptionsItem> options;

    @JSONField(name = "action")
    private String action;

    @JSONField(name = "disabled")
    private boolean disabled;

    @JSONField(name = "id")
    private String id;

    @JSONField(name = "placeholder")
    private String placeholder;

    @JSONField(name = "compIcon")
    private String compIcon;

    @JSONField(name = "value")
    private String value;

    @JSONField(name = "ele")
    private String ele;

    @JSONField(name = "filterable")
    private boolean filterable;

    @JSONField(name = "clearable")
    private boolean clearable;

    @JSONField(name = "plain")
    private boolean plain;

    @JSONField(name = "round")
    private boolean round;

    @JSONField(name = "circle")
    private boolean circle;

    @JSONField(name = "loading")
    private boolean loading;

    @JSONField(name = "icon")
    private String icon;

    @JSONField(name="range-separator")
    private String rangeSeparator;

    @JSONField(name="format")
    private String format;

    @JSONField(name="value-format")
    private String valueFormat;

    @JSONField(name = "dataType")
    private String dataType;

    @JSONField(name = "multiple")
    private boolean multiple;

    @JSONField(name = "collapse-tags")
    private boolean collapseTags;

    @JSONField(name = "label")
    private String label;

    @JSONField(name = "layout")
    private String layout;

    @JSONField(name = "gutter")
    private int gutter;

    @JSONField(name = "ruleError")
    private String ruleError;

    @JSONField(name = "viewType")
    private String viewType;

    @JSONField(name = "vertical")
    private String vertical;

    @JSONField(name = "text")
    private String text;

    @JSONField(name = "size")
    private String size;

    @JSONField(name = "optionType")
    private String optionType;

    @JSONField(name = "_id")
    private String _id;

    @JSONField(name = "config")
    private boolean config;

    @JSONField(name = "border")
    private boolean border;

    @JSONField(name = "show-word-limit")
    private boolean showWordLimit;

    @JSONField(name = "maxLength")
    private int maxLength;

    @JSONField(name = "rows")
    private int rows;

    @JSONField(name = "span")
    private int span;

    @JSONField(name = "rulesType")
    private String rulesType;

    @JSONField(name = "prepend")
    private String prepend;

    @JSONField(name = "prefix-icon")
    private String prefixIcon;

    @JSONField(name = "readonly")
    private boolean readonly;

    @JSONField(name = "suffix-icon")
    private String suffixIcon;

    @JSONField(name = "width")
    private String width;

    @JSONField(name = "append")
    private String append;

    @JSONField(name = "status")
    private String status;

}