package com.mortals.xhx.module.doc.baseinfo.service;

import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.doc.baseinfo.model.DocBaseinfoEntity;
import com.mortals.xhx.module.doc.baseinfo.model.vo.DocBaseinfoVo;

/**
 * DocBaseinfoService
 * <p>
 * doc基础信息 service接口
 *
 * @author zxfei
 * @date 2021-10-16
 */
public interface DocBaseinfoService extends ICRUDService<DocBaseinfoEntity, Long> {


    /**
     * 合成doc数据模板
     * @param form
     * @param templateId
     * @param context
     * @return
     */
    String mergeFormToDocByTemplate(String form, Long templateId, Context context);

    /**
     * 分割
     * @param form
     * @param templateId
     * @param previewPath
     * @param mergeDocPath
     * @param context
     * @return
     */
    String submitOtherSystem(String form, Long templateId,String previewPath,String mergeDocPath, Context context);

}